# FdoXmlFlags Class Reference

`#include <Flags.h>`

Inheritance diagram for FdoXmlFlags:

[legend]

List of all members.

## Detailed Description

FdoXmlFlags defines various options for serializing and deserializing FDO element to and from XML Documents.

Definition at line 28 of file Flags.h.

## Public Types
enum | ErrorLevel { ErrorLevel_High, ErrorLevel_Normal, ErrorLevel_Low, ErrorLevel_VeryLow }
| The FdoXmlFlags::ErrorLevel determines how strict the error reporting is when a Feature Schema is read from an XML Document. For each errorLevel a certain level of round-trip fidelity is guaranteed if the read succeeds. More...
## Public Member Functions
FDO_API ErrorLevel | GetErrorLevel () const
| Gets the current error level, see FdoXmlFlags::Create().
FDO_API FdoBoolean | GetNameAdjust () const
| Gets the name adjustment flag, see FdoXmlFlags::Create().
FDO_API FdoPhysicalSchemaMappingCollection * | GetSchemaMappings () const
| Gets the current Schema Mapping Overrides.
FDO_API FdoBoolean | GetSchemaNameAsPrefix () const
| Gets the Schema Name as Prefix flag.
FDO_API FdoString * | GetUrl () const
| Gets the target namespace prefix, see FdoXmlFlags::Create().
FDO_API FdoBoolean | GetUseGmlId () const
| Gets the Use GML ID flag.
FDO_API void | SetErrorLevel (ErrorLevel errorLevel)
| Sets the error level, see FdoXmlFlags::Create().
FDO_API void | SetNameAdjust (FdoBoolean nameAdjust)
| Sets the name adjustment flag, see FdoXmlFlags::Create().
FDO_API void | SetSchemaMappings (FdoPhysicalSchemaMappingCollection *mappings)
| Sets the Schema Mapping Overrides for translating schemas between GML and FDO.
FDO_API void | SetSchemaNameAsPrefix (FdoBoolean schemaNameAsPrefix)
| Sets the Schema Name as Prefix flag. This flag controls how an FDO Feature Schema name is generated when the schema is read from GML.
FDO_API void | SetUrl (FdoString *url)
| Sets the target namespace prefix, see FdoXmlFlags::Create().
FDO_API void | SetUseGmlId (FdoBoolean schemaNameAsPrefix)
| Sets the Use GML ID flag.
## Static Public Member Functions
static FDO_API FdoXmlFlags * | Create (FdoString *url=L"fdo.osgeo.org/schemas/feature", ErrorLevel errorLevel=ErrorLevel_Normal, FdoBoolean nameAdjust=true)
| Constructs an FdoXmlFlags object.
## Protected Member Functions
FDO_API | FdoXmlFlags (FdoString *url, ErrorLevel errorLevel, FdoBoolean nameAdjust)
| FdoXmlFlags ()
| default constructor to keep linux from complaining
virtual FDO_API | ~FdoXmlFlags ()

The documentation for this class was generated from the following file:

- Flags.h